Results 1 to 10 of 13

Thread: Lucid cups pdf error

Hybrid View

  1. #1
    Join Date
    May 2009
    Beans
    179

    Lucid cups pdf error

    I just upgraded from the previous version to Lucid.
    I tried to print a page in Firefox as a pdf.

    getting the printer selection screen up, it shows me PDF and PDF1 both have the smae message
    "Backend /usr/lib/cups/backend/cups-pdf does not exist!"

    Any ideas on how to get it to exist?

    I tried re-installing CUPS PDF and still no luck.

    Thanks in advance for your suggestions.

  2. #2
    Join Date
    Jun 2009
    Location
    SW Forida
    Beans
    Hidden!
    Distro
    Ubuntu 16.04 Xenial Xerus

    Re: Lucid cups pdf error

    I just installed Lucid to my beta partition for testing and my reinstall script includes these commands. I have that file on both Karmic & the test lucid. I have on tried printing in Lucid yet and am back in my Karmic right now.

    sudo apt-get install cups-pdf
    sudo aa-complain cupsd
    #chmod 777 ~/PDF
    #sudo chmod 700 /usr/lib/cups/backend/cups-pdf

    I do not know know why I commented out the last two lines. I think my /PDF does not need chmod as it is a link to my data partition, but do not know about chmod on cups-pdf.
    For more info on UEFI boot install & repair - Regularly Updated :
    http://ubuntuforums.org/showthread.php?t=2147295
    Please use Thread Tools above first post to change to [Solved] when/if answered completely.

  3. #3
    Join Date
    May 2009
    Beans
    179

    Lightbulb Re: Lucid cups pdf error

    I got it solved.

    Here is what I did

    alt+f2 and type "gksudo browsername"
    (firefox in my case)
    So it would be "gksudo firefox"

    Once logged in as root, I went to
    http://localhost:631/

    From there I was able to administrate CUPS. The CUPS-PDF was idle. So I activated it, and now I can print pdf's.

    What was very strange however, is only the CUPS PDF printer was idle. After the upgrade, my Brother HL-2070N, and my Cannon ip5200 has absolutely no problem.

    So the problem is solved, but what caused it in the first place when I upgraded?

  4. #4
    Join Date
    Nov 2005
    Location
    Sydney, Australia
    Beans
    218
    Distro
    Ubuntu Studio 12.04 Precise Pangolin

    Re: Lucid cups pdf error (Solved)

    I had a strange problem with this. When printing my monthly Credit Card Statement using Acroread, the first page of the PDF file was black and unreadable. The remaining pages were OK.

    The problem turned out to be the Canon Printer Driver. I was printing to a Canon LBP3100. When I switched to my Brother DCP165, it printed perfectly. I will report this as a bug to Canon
    Just think how boring life would be without Ubuntu

  5. #5
    Join Date
    May 2009
    Beans
    7

    Re: Lucid cups pdf error

    LaughingHorse: please provide more detail. I've no idea from what you've written I've no idea what action to take to achieve this: 'From there I was able to administrate CUPS. The CUPS-PDF was idle. So I activated it, and now I can print pdf's.' Am able to see the options as you have described, but hit a dead end.

  6. #6
    Join Date
    Aug 2007
    Location
    Michigan
    Beans
    137
    Distro
    Kubuntu 11.04 Natty Narwhal

    Re: Lucid cups pdf error

    I had the same probem. After doing everything mentioned here. I get a new error :

    /usr/lib/cups/filter/pdftopdf failed.

    Some searching revealed that libpoppler is responsible for this. But the solution seems to recompile cups to incorporate changes in the prototype of one of the functions in poppler. This is where things get uncomfortable.

    Does anyone know is there is another way of fixing this without recompiling cups or libpoppler

    Thanks,

  7. #7
    Join Date
    May 2011
    Beans
    5

    Re: Lucid cups pdf error

    Quote Originally Posted by LaughingHorse View Post
    I got it solved.

    Here is what I did

    alt+f2 and type "gksudo browsername"
    (firefox in my case)
    So it would be "gksudo firefox"

    Once logged in as root, I went to
    http://localhost:631/

    From there I was able to administrate CUPS. The CUPS-PDF was idle. So I activated it, and now I can print pdf's.

    What was very strange however, is only the CUPS PDF printer was idle. After the upgrade, my Brother HL-2070N, and my Cannon ip5200 has absolutely no problem.

    So the problem is solved, but what caused it in the first place when I upgraded?
    This doesn't seem to work for me - sorry, see my other post...

  8. #8
    Join Date
    Mar 2008
    Beans
    2

    Re: Lucid cups pdf error

    I had the same problem printing a page with the CUPS PDF virtual printer: "not execute the backend"

    I solved the problem running the this command:
    #sudo chmod 700 /usr/lib/cups/backend/cups-pdf

  9. #9
    Join Date
    Jan 2011
    Beans
    193

    Re: Lucid cups pdf error

    I nedded to reinstall, because it wasn't there after the upgrade to 11.10

    Then had to run /usr/sbin/cupsenable PDF

    Not I could print to PDF again.

    ( with the system tools menu, icould not fix this )

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •